Logical-methods {PivotalR} | R Documentation

## Logical operations for `db.obj` objects

### Description

These binary operators perform logical operations on `db.obj` objects

### Usage

    ## S4 method for signature 'db.obj'

    ## S4 method for signature 'db.obj'
    !x

    ## S4 method for signature 'db.obj,db.obj'
    e1 & e2

    ## S4 method for signature 'db.obj,db.obj'
    e1 | e2

    ## S4 method for signature 'db.obj,logical'
    e1 & e2

    ## S4 method for signature 'db.obj,logical'
    e1 | e2

    ## S4 method for signature 'logical,db.obj'
    e1 & e2

    ## S4 method for signature 'logical,db.obj'
    e1 | e2

### Arguments

`e1, e2` | logical or `db.obj` object.
`x` | `db.obj` object.

### Value

`db.Rquery` object, which contains the SQL query that computes the logical operations.

### Note

A meaningful expression is generated only when the `.col.data_type` is "boolean", otherwise a "NULL" value is generated.

### Author(s)

Author: Predictive Analytics Team at Pivotal Inc.

Maintainer: Frank McQuillan, Pivotal Inc. fmcquillan@pivotal.io

### See Also

`db.Rquery` contains a SQL query that does the operations.

### Examples

    ## Not run:
    ## get the help for a method
    ## help("|,db.obj,db.obj-method")

    ## set up the database connection
    ## Assume that .port is port number and .dbname is the database name
    cid <- db.connect(port = .port, dbname = .dbname, verbose = FALSE)

    ## create a table from the example data.frame "abalone"
    x <- as.db.data.frame(abalone, conn.id = cid, verbose = FALSE)

    lk(x$rings[x$length > 10 & x$height < 2,])

    db.disconnect(cid, verbose = FALSE)

    ## End(Not run)

[Package PivotalR version 0.1.18.3.1 Index]